%define upstream_name      Net-SSLeay
%define upstream_version 1.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for using OpenSSL
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(MIME::Base64)
BuildRequires: openssl >= 0.9.3a
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: zlib-devel
Requires:   openssl >= 0.9.3a
Provides:   perl-Net_SSLeay = %{version}-%{release}
Provides:   perl-Net_SSLeay.pm = %{version}-%{release}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__chmod 755 examples

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
echo | %{__perl} Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*

%check
# testing the package implies contacting external sites (some are down ?)
#make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*

%changelog

* Sat Feb 25 2012 kharec <kharec> 1.450.0-1.mga2
+ Revision: 214366
- update to 1.45

* Thu Oct 13 2011 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 154398
- update to 1.42

* Mon Sep 26 2011 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 148180
- update to 1.41

* Sat Jun 11 2011 spuhler <spuhler> 1.360.0-10.mga2
+ Revision: 104097
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.360.0-9.mga1
+ Revision: 31623
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.360.0-8.mga1
+ Revision: 23194
- rebuild for perl 5.12

* Mon Jan 17 2011 nanardon <nanardon> 1.360.0-7.mga1
+ Revision: 20809
- kill obsoletes (match nothing in previous distribution)

  + jquelin <jquelin>
    - imported package perl-Net-SSLeay

